#### D.12.2.48 naccache_stern_encryption

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  naccache_stern_encryption(knapsack, message, primenum)

Return:
  an encrypted message as integer

Example:

    LIB "crypto.lib";
    //Please note that the values for primenum and hardknapsack have been obtained from the example of naccache_stern_generation!
    list hardknapsack = 85,164,117,44;
    int primenum = 293;
    list message = 1,0,1,0;
    naccache_stern_encryption(hardknapsack,message,primenum);
    ==> 9945

User manual for Singular version 4.4.1, 2025, generated by texi2html.